Get Revenue Metric By ProductAsk AIget https://api.revenium.ai/profitstream/v2/api/sources/metrics/ai/revenue-metric-by-productGet revenue metric by productQuery ParamsteamIdstringrequiredUnique identifier of the team (organization). Format: Revenium hashid (URL-safe encoded string).periodstringenumPredefined time window to aggregate results (e.g., TWELVE_MONTHS). Ignored if both startDate and endDate are provided. Defaults to TWELVE_MONTHS when no custom date range is specified.TWELVE_MONTHSHOUREIGHT_HOURSTWENTY_FOUR_HOURSSEVEN_DAYSTHIRTY_DAYSTWELVE_MONTHSAllowed:HOUREIGHT_HOURSTWENTY_FOUR_HOURSSEVEN_DAYSTHIRTY_DAYSTWELVE_MONTHSstartDatestringStart of a custom date range in ISO 8601 format (e.g., 2025-09-01T00:00:00Z). Must be provided together with endDate. When both are provided, the period parameter is ignored and this custom range is used instead.endDatestringEnd of a custom date range in ISO 8601 format (e.g., 2025-09-30T23:59:59Z). Must be provided together with startDate. When both are provided, the period parameter is ignored and this custom range is used instead.groupstringenumAggregation group for the metric.TOTALTOTALMEANMEDIANMAXIMUMMINIMUMAllowed:TOTALMEANMEDIANMAXIMUMMINIMUMproductsarray of stringsOptional list of product identifiers to include. Omit to include all products.productsADD stringHeadersacceptstringenumDefaults to application/jsonGenerated from available response content types*/*application/jsonAllowed:*/*application/jsonResponses 200Returns product revenue metrics for the requested range. 400Invalid input data 401Unauthorized - Authentication required 403Forbidden - Insufficient permissions 404Not Found 409Conflict 422Unprocessable EntityUpdated 5 months ago